.page-numbers {
    font-family: 'Geologica';
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
}
.woocommerce nav.woocommerce-pagination ul li a:focus, .woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current {
    background: #FFFCF6;
    color: #816f98;
}
.woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span {
    color: #000;
}
.woocommerce-pagination {
    margin-bottom: 50px;
}
main,
.woo-wrapper {
    font-family: 'Geologica';
    font-style: normal;
    min-height:calc(100vh - 460px);
}
body {
     background: rgb(255 252 246 / var(--tw-bg-opacity, 1));
 }

.orders-widget__container{
    font-family: 'Geologica';
    font-style: normal;
}
.mf-cart__price.mf-cart__price--stack {
        font-family: 'Geologica';
        font-style: normal;
        font-weight: 400;
        font-size: 20px;
}
.mf-cart__price-now {
    font-size: 20px !important;
}
.product-card__add-btn-icon img {
    width: 20px !important;
    height: 20px !important;
    display: block;
}
.single-product_cart-contr .product-card__quantity {
    height: 63px;
}

div.single-product {
    gap: 0 !important;
}
.custom-video-container iframe {
    max-width: 100%;
}
/* Контейнер для ограничения максимальной ширины (опционально) */
.video-responsive-wrapper {
    max-width: 60%;
    margin: 20px 0;
}

/* Магия пропорций */
.video-container {
    position: relative;
    padding-bottom: 56.25%; /* Соотношение 16:9 (9 / 16 * 100) */
    height: 0;
    overflow: hidden;
    background: #000; /* Черный фон, пока видео грузится */
    border-radius: 8px; /* Скруглим углы для красоты */
}

.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100% !important;
    height: 100% !important;
    border: 0;
}
.custom-video-container {
    width: 100%;
}

.mf-check__box {
    width: 15px !important;
    height: 15px !important;
}
.single-product_cart-contr.product-card__cart-control.cart-control {
    gap: 0 !important;
    margin-top: 0 !important;
}
.page-title {
    font-size: 1.875rem;
    line-height: 2.25rem;
}


.checkout.woocommerce-checkout {
    background: #FFFCF6;
    border-radius: 24px;
    padding: 20px;
}
body.woocommerce-checkout {
    background: #fffefa !important;
}
.checkout.woocommerce-checkout textarea,
.checkout.woocommerce-checkout input {
    height: 38px;
    border-radius: 12px;
    border: 1px solid #E6DBC7 !important;
    background: #FFFCF6 !important;
    padding: 0 12px;
    font-family: Geologica, sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 120%;
    letter-spacing: 0;
    font-variant-numeric: lining-nums tabular-nums;
    outline: none;
}
.woocommerce-info {
    border-top-color: var(--header-primary);
}
.woocommerce-error, .woocommerce-info, .woocommerce-message {

    background-color: #F5EEE0;
}

.header__logo img {
    height: auto;
    max-width: 160px;
}
.header__menu-link {
    font-size: 1rem;
    line-height: 1.5rem;
}
.header__container {

    padding-top: .75rem;
    padding-bottom: .75rem;
}

.header__actions > div, .header__actions > button, .header__actions > a {
    width: 31px !important;
    height: 31px !important;
}
.button.wc-backward {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 8px;
    width: auto;
    height: auto;
    background: #373449 !important;
    border-radius: 12px;
    font-family: 'Geologica';
    font-style: normal;
    font-weight: 500;
    font-size: 24px;
    line-height: 30px;
    text-transform: uppercase;
    color: #FFFCF6 !important;;
    text-decoration: none;
}

.mobilevideo{display:none}
.notmobilevideo{display:block}


@media (min-width: 1620px){
    .woo-wrapper
    {
        margin: 0 92px;
    }
    .product-card__add-btn {
        width: calc(100% - 130px);
    }
}

@media (min-width: 1280px) and (max-width: 1619px){
    .woo-wrapper
    {
        margin: 0 92px;
    }
    .product-card__add-btn {
        width: calc(100% - 130px);
    }
    div.single-product {
        grid-template-columns: 380px 1fr;
        gap: 40px;
    }

    div.single-product > div:nth-child(4) {
        grid-column: 1 / -1;
        grid-row: 3;
        grid-template-columns: 1fr;
        grid-row-end: 3;
    }

}




@media (min-width: 1080px) and (max-width: 1279px){
    .woo-wrapper
    {
        margin: 0 46px;
    }

    .product-item {

        width: calc(100%/3 - 12px);

    }
    .product-card__add-btn {

        width: calc(100% - 130px);

    }
    .category-list {
        grid-template-columns: 1fr 1fr 1fr;
    }
    div.single-product {
        grid-template-columns:1fr 1fr;
        gap: 40px;
    }

    div.single-product > div:nth-child(4) {
        grid-column: 1 / -1;
        grid-row: 3;
        grid-template-columns: 1fr;
        grid-row-end: 3;
    }
}



@media (min-width: 780px) and (max-width: 1079px){
    .woo-wrapper
    {
        margin: 0 26px;
    }
    .video-responsive-wrapper {
        max-width: 100%;
    }

    .product-item {

        width: calc(100%/2 - 12px);

    }
    .product-card__add-btn {

        width: calc(100% - 130px);

    }
    .auto-price-slider-filter .price-slider-section {
        width: 100%;
        min-width: auto;
        height: 50px;
        padding: 0 0;
        display: block;
    }
    .auto-price-slider-filter .price-slider-container {
        height: 30px;
        margin-bottom: 20px;
    }
    .auto-price-slider-filter .price-to-indicator {
        right: 0px;
        bottom: -12px;
        top: auto;
    }
    .auto-price-slider-filter .price-from-indicator {
        left: 0px;
        bottom: -12px;
        top: auto;
    }

    .custom-footer__nav-link, .custom-footer__company-item, .custom-footer__contacts-title, .custom-footer__contact-link, .custom-footer__subscription-title {
        display: block;
        font-family: 'Geologica';
        font-style: normal;
        font-weight: 300;
        font-size: 16px;
        line-height: 25px;
        height: auto;
        color: #FFFCF6;
        margin-bottom: 0;
    }

    .custom-footer__form-input {
        display: flex;
        flex-direction: row;
        align-items: center;
        padding: 6px 8px;
        gap: 8px;
        height: 42px;
        border: 0.5px solid #FFFCF6;
        border-radius: 4px;
        flex: none;
        order: 0;
        align-self: stretch;
        flex-grow: 0;
        font-family: 'Geologica';
        font-style: normal;
        font-weight: 300;
        font-size: 16px;
        line-height: 10px;
        color: #FFFCF6;
    }

    .custom-footer__form-button {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        padding: 6px 8px;
        gap: 8px;
        height: 42px;
        background: #F5EEE0;
        border-radius: 4px;
        font-family: 'Geologica';
        font-style: normal;
        font-weight: 300;
        font-size: 20px;
        line-height: 10px;
        color: #373449;
    }
    .custom-footer__form-agreement {
        margin-top: 10px;
    }
    .custom-footer__checkbox-text {
        font-size: 16px;
        line-height: 20px;
    }
    .category-list {
        grid-template-columns: 1fr 1fr;
    }
    .mf-cart__delivery-note {
        width: 90% !important;
    }

    div.single-product {
        grid-template-columns:1fr;
        gap: 40px;
    }
    div.single-product > div:nth-child(1) {
        grid-column: 1;
        grid-row: 1;
    }
    div.single-product > div:nth-child(2) {
        grid-column: 1 / -1;
        grid-row: 1;
    }
    div.single-product > div:nth-child(3) {
        grid-column: 1 / -1;
        grid-row: 4;
    }
    div.single-product > div:nth-child(4) {
        grid-column: 1 / -1;
        grid-row: 5;
        grid-template-columns: 1fr;
        grid-row-end: 5;
    }

}


@media screen and (max-width:779px){
    .mobilevideo{display:block}
    .notmobilevideo{display:none}
    body {
        padding: 0 !important;
        padding-top: 0 !important;
    }
    .woo-wrapper
    {
        margin: 0 26px;
    }
    .orderby-select {
        margin-top: 0 !important;
    }
    .product-item {

        width:47.5% ;

    }
    .video-responsive-wrapper {
        max-width: 100%;
    }
    .product-card__add-btn {

        width: calc(100% - 130px);

    }
    .hero-section {

        min-height: 550px;
    }
    .hero-section::after {
        background-position: right bottom;
        background-size: 300px;
    }
    .hero-section::before {
        background-size: 300px;
        background-position: left top;
    }
    .product-card__image-container.product-item-photo {
        height: 300px !important;
    }
    .product-item {
        height: 375px;
    }

    .product-card__image {
        height: 100% !important;
    }

    .auto-price-slider-filter .price-slider-section {
        width: 100%;
        min-width: auto;
        height: 50px;
        padding: 0 0;
        display: block;
    }
    .auto-price-slider-filter .price-slider-container {
        height: 30px;
        margin-bottom: 20px;
    }
    .auto-price-slider-filter .price-to-indicator {
        right: 0px;
        bottom: -12px;
        top: auto;
    }
    .auto-price-slider-filter .price-from-indicator {
        left: 0px;
        bottom: -12px;
        top: auto;
    }

    .custom-footer__navigation {
        width: 100%;
        flex: 1 1 100%;
        max-width: 100%;
    }
    .custom-footer__nav-link, .custom-footer__company-item, .custom-footer__contacts-title, .custom-footer__contact-link, .custom-footer__subscription-title {
        display: block;
        font-family: 'Geologica';
        font-style: normal;
        font-weight: 300;
        font-size: 16px;
        line-height: 25px;
        height: auto;
        color: #FFFCF6;
        margin-bottom: 0;
    }

    .custom-footer__subscription {
        order: 2;
        width: 100%;
        max-width: 100%;
        margin-top: 0;
        height: auto;
    }

    .custom-footer__form-input {
        display: flex;
        flex-direction: row;
        align-items: center;
        padding: 6px 8px;
        gap: 8px;
        height: 42px;
        border: 0.5px solid #FFFCF6;
        border-radius: 4px;
        flex: none;
        order: 0;
        align-self: stretch;
        flex-grow: 0;
        font-family: 'Geologica';
        font-style: normal;
        font-weight: 300;
        font-size: 16px;
        line-height: 10px;
        color: #FFFCF6;
    }

    .custom-footer__form-button {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        padding: 6px 8px;
        gap: 8px;
        height: 42px;
        background: #F5EEE0;
        border-radius: 4px;
        font-family: 'Geologica';
        font-style: normal;
        font-weight: 300;
        font-size: 20px;
        line-height: 10px;
        color: #373449;
    }
    .custom-footer__form-agreement {
        margin-top: 10px;
    }
    .custom-footer__checkbox-text {
        font-size: 16px;
        line-height: 20px;
    }

    .category-list {
        grid-template-columns: 1fr 1fr;
    }
    .category-item span {
        font-size: 1.275rem !important;
        line-height: 1.25rem;
        text-align: center;
    }
    .mf-cart__coupon-row {
        display: block !important;
        gap: 0px;
        margin: 0;
    }
    #coupon_code {
        width: 92%;
        margin-bottom: 10px;
    }
    .mf-cart__coupon-btn {
        width: 100%;
    }
    .mf-cart__delivery-note {
        width: 90% !important;
    }
    .login-container {
        padding: 20px 0 !important;
    }
    .auth-title {
             font-size: 17px !important;
         }
}